# Use an official Node.js runtime as a parent image
FROM node:20
# Set the working directory in the container
WORKDIR /app
# Copy package.json and package-lock.json to the container
COPY package*.json ./
# Install dependencies
RUN npm install
# COPY node_modules ./node_modules
# RUN npm rebuild
# Copy the rest of the application code to the container
COPY . .
# Expose a port for the application to listen on
EXPOSE 8080
# Define the command to run the application
CMD ["npm", "start"]